import 'package:flutter/material.dart';

/// Single call member information
///
/// @author Pierre Hubert

enum MemberStatus { JOINED, READY }

class CallMember {
  final int id;
  MemberStatus status;

  CallMember({
    @required this.id,
    this.status = MemberStatus.JOINED,
  })  : assert(id != null),
        assert(status != null);
}
